Debian Bug report logs - #527993
perl-modules: Module::Build::Compat's generated Makefile doesn't remove the Makefile in the distclean target

version graph

Package: perl-modules; Maintainer for perl-modules is Niko Tyni <ntyni@debian.org>; Source for perl-modules is src:perl.

Reported by: Ryan Niebur <ryanryan52@gmail.com>

Date: Sun, 10 May 2009 03:48:01 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in version perl/5.10.0-22

Fixed in version perl/5.10.0-25

Done: Niko Tyni <ntyni@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Ticket/Display.html?id=46338

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#527993; Package perl-modules. (Sun, 10 May 2009 03:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
New Bug report received and forwarded. Copy sent to Brendan O'Dea <bod@debian.org>. (Sun, 10 May 2009 03:48:20 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: submit@bugs.debian.org
Subject: perl-modules: Module::Build::Compat's generated Makefile doesn't remove the Makefile in the distclean target
Date: Sat, 9 May 2009 20:44:33 -0700
[Message part 1 (text/plain, inline)]
Package: perl-modules
Severity: normal
Tags: patch
Version: 5.10.0-22

Hi,

There's been a recent discussion[1] on the debian-perl list about
whether Build.PL should be used by the dh_auto_* commands instead of
Makefile.PL when both exist. This is because sometimes the Makefile.PL
is just a "passthru" to the Build.PL, which causes a couple of bugs.

One of the bugs is that the Makefile target that dh_auto_clean calls
(distclean) doesn't remove the Makefile, only the "normal"
Module::Build files, causing subsequent runs of "make -f debian/rules
clean" and "make -f debian/rules build" to fail. The "realclean"
target of the generated Makefile already does this, however
dh_auto_clean prefers the "distclean" target.

The attached patch fixes this problem by making the distclean target
remove the Makefile as well. libmodule-build-perl will be uploaded
with this patch once perl-modules is patched.

Thanks,
Ryan

1: http://lists.debian.org/debian-perl/2009/05/msg00017.html

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#527993; Package perl-modules. (Sun, 10 May 2009 03:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Sun, 10 May 2009 03:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 527993@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: 527993@bugs.debian.org
Subject: and here's the patch..
Date: Sat, 9 May 2009 20:50:41 -0700
[Message part 1 (text/plain, inline)]
forgot to attach the patch the first time, here it is.

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[module-build-compat.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#527993; Package perl-modules. (Mon, 25 May 2009 07:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Mon, 25 May 2009 07:15:02 GMT) Full text and rfc822 format available.

Message #15 received at 527993@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Ryan Niebur <ryanryan52@gmail.com>
Cc: 527993@bugs.debian.org
Subject: Re: Module::Build::Compat's generated Makefile doesn't remove the Makefile in the distclean target
Date: Mon, 25 May 2009 10:02:05 +0300
On Sat, May 23, 2009 at 05:30:10AM -0700, Ryan Niebur wrote:
 
> I noticed that you haven't yet responded to Bug #527993 and was
> wondering if you will. It would be very nice to have this fixed, as it
> simplifies packaging perl dists that use M::B::C.

Sorry about that, I'm very short on hack time currently.

We generally try to avoid unnecessary deviations from upstream.
Is there something that makes this issue Debian-specific?
If the only rationale for the change is compatibility with debhelper,
shouldn't the change go there?

If the change is not Debian-specific, it would be best to get it into
Module::Build upstream first.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#527993; Package perl-modules. (Mon, 25 May 2009 07:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Mon, 25 May 2009 07:24:06 GMT) Full text and rfc822 format available.

Message #20 received at 527993@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: Niko Tyni <ntyni@debian.org>
Cc: 527993@bugs.debian.org
Subject: Re: Module::Build::Compat's generated Makefile doesn't remove the Makefile in the distclean target
Date: Mon, 25 May 2009 00:22:54 -0700
[Message part 1 (text/plain, inline)]
Hi Niko,

On Mon, May 25, 2009 at 10:02:05AM +0300, Niko Tyni wrote:
> 
> Sorry about that, I'm very short on hack time currently.
> 

no problem.

> We generally try to avoid unnecessary deviations from upstream.

that is understandable.

> Is there something that makes this issue Debian-specific?

no.

> If the change is not Debian-specific, it would be best to get it into
> Module::Build upstream first.

I didn't send it upstream first because I didn't want people to update
to that new version and then not notice bugs in their packages that
people using the version from perl-modules would. I will send it
upstream now.

Thanks for your input,
Ryan

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to https://rt.cpan.org/Ticket/Display.html?id=46338. Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Mon, 25 May 2009 07:45:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#527993; Package perl-modules. (Mon, 25 May 2009 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Mon, 25 May 2009 19:45:03 GMT) Full text and rfc822 format available.

Message #27 received at 527993@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: Niko Tyni <ntyni@debian.org>
Cc: 527993@bugs.debian.org
Subject: Re: Module::Build::Compat's generated Makefile doesn't remove the Makefile in the distclean target
Date: Mon, 25 May 2009 12:43:07 -0700
[Message part 1 (text/plain, inline)]
tag 527993 fixed-upstream
thanks

On Mon, May 25, 2009 at 10:02:05AM +0300, Niko Tyni wrote:
> 
> If the change is not Debian-specific, it would be best to get it into
> Module::Build upstream first.

It's been committed upstream:
http://svn.perl.org/viewvc/modules/Module-Build/trunk/lib/Module/Build/Compat.pm?r1=12790&r2=12789&pathrev=12790

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed-upstream Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Mon, 25 May 2009 19:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#527993; Package perl-modules. (Wed, 27 May 2009 19:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Wed, 27 May 2009 19:54:02 GMT) Full text and rfc822 format available.

Message #34 received at 527993@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Ryan Niebur <ryanryan52@gmail.com>, 527993@bugs.debian.org
Subject: Re: Bug#527993: Module::Build::Compat's generated Makefile doesn't remove the Makefile in the distclean target
Date: Wed, 27 May 2009 22:51:37 +0300
On Mon, May 25, 2009 at 12:43:07PM -0700, Ryan Niebur wrote:
> On Mon, May 25, 2009 at 10:02:05AM +0300, Niko Tyni wrote:
> > 
> > If the change is not Debian-specific, it would be best to get it into
> > Module::Build upstream first.
> 
> It's been committed upstream:
> http://svn.perl.org/viewvc/modules/Module-Build/trunk/lib/Module/Build/Compat.pm?r1=12790&r2=12789&pathrev=12790

Thanks.

Earlier you wrote:

> libmodule-build-perl will be uploaded with this patch once perl-modules
> is patched.

and

> I didn't send it upstream first because I didn't want people to update
> to that new version and then not notice bugs in their packages that
> people using the version from perl-modules would. I will send it
> upstream now.

Could you please elaborate a bit? Do you expect this change to break
current Debian packages?

Normally, I'd expect that the change would go in libmodule-build-perl
first, and if it's needed for a significant number of packages so that
having versioned build dependencies on the fixed libmodule-build-perl
package would be a burden, it could possibly be backported to perl-modules
too.

If there's a risk of breaking something, it should be easy to run archive
test rebuilds with the change in a separate libmodule-build-perl package
(using the sbuild --add-depends or the pbuilder --extrapackages flag.)

Sorry if I'm sounding reluctant; I just think that a conservative
approach is better for the perl core packages particularly when bugs
can easily be worked around with a separate packaged newer version.

Cheers,
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#527993; Package perl-modules. (Wed, 27 May 2009 23:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Wed, 27 May 2009 23:54:02 GMT) Full text and rfc822 format available.

Message #39 received at 527993@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: Niko Tyni <ntyni@debian.org>
Cc: 527993@bugs.debian.org
Subject: Re: Bug#527993: Module::Build::Compat's generated Makefile doesn't remove the Makefile in the distclean target
Date: Wed, 27 May 2009 16:51:18 -0700
[Message part 1 (text/plain, inline)]
On Wed, May 27, 2009 at 10:51:37PM +0300, Niko Tyni wrote:
> Earlier you wrote:
> 
> > libmodule-build-perl will be uploaded with this patch once perl-modules
> > is patched.
> 
> and
> 
> > I didn't send it upstream first because I didn't want people to update
> > to that new version and then not notice bugs in their packages that
> > people using the version from perl-modules would. I will send it
> > upstream now.
> 
> Could you please elaborate a bit? Do you expect this change to break
> current Debian packages?
> 

afaict, there shouldn't be a risk of breaking stuff. everything that's
working around this by removing the Makefile("rm -f Makefile" or
"dh_clean Makefile" in d/rules or listing Makefile in d/clean) should
not error out if it doesn't exist. If we're talking about the risk of
breaking something outside of Debian packaging, well, then that will
have to be fixed anyway since the user may have libmodule-build-perl
installed, which will be updated. the bug is worked around in the
debian/rules or debian/clean files of most packages that use this. so
if we were to upload the fix for it in libmodule-build-perl, then any
developer who has libmodule-build-perl installed wouldn't notice that
they need to add the workaround to debian/clean, for people who don't
have libmodule-build-perl installed (and are using the version from
perl-modules). If both versions of M::B::C (perl-modules and
libmodule-build-perl) have this fixed, then we don't need to worry
about working around it any more. but if only libmodule-build-perl has
it fixed, then we either need to depend on libmodule-build-perl
(instead of "perl-modules | libmodule-build-perl") in all of the
affected packages, which people with libmodule-build-perl installed
probably won't think about, or work around it, which, again, people
with libmodule-build-perl installed probably won't think about. so by
fixing it in only libmodule-build-perl we would be making a bigger
mess than the original "burden" of adding it to debian/clean (which
was really small).

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#527993; Package perl-modules. (Sat, 18 Jul 2009 23:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Sat, 18 Jul 2009 23:03:06 GMT) Full text and rfc822 format available.

Message #44 received at 527993@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: Niko Tyni <ntyni@debian.org>
Cc: 527993@bugs.debian.org
Subject: Re: Bug#527993: Module::Build::Compat's generated Makefile doesn't remove the Makefile in the distclean target
Date: Sat, 18 Jul 2009 15:57:00 -0700
[Message part 1 (text/plain, inline)]
Hi Niko!

could you please add this to the package? the new version of
Module::Build (with my patch) has been released on CPAN, and we'd like
to release the libmodule-build-perl package but don't want to create
confusion. and another person ran into this problem again today..

Cheers,
Ryan

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#527993; Package perl-modules. (Sun, 19 Jul 2009 15:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Sun, 19 Jul 2009 15:18:05 GMT) Full text and rfc822 format available.

Message #49 received at 527993@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Ryan Niebur <ryanryan52@gmail.com>
Cc: 527993@bugs.debian.org
Subject: Re: Bug#527993: Module::Build::Compat's generated Makefile doesn't remove the Makefile in the distclean target
Date: Sun, 19 Jul 2009 18:13:56 +0300
On Sat, Jul 18, 2009 at 03:57:00PM -0700, Ryan Niebur wrote:
 
> could you please add this to the package? the new version of
> Module::Build (with my patch) has been released on CPAN, and we'd like
> to release the libmodule-build-perl package but don't want to create
> confusion. and another person ran into this problem again today..

Yeah, sorry again. I actually forgot about it for -24. Will try to get
it in the next upload.

Cheers,
-- 
Niko Tyni   ntyni@debian.org




Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. (Sun, 16 Aug 2009 23:15:23 GMT) Full text and rfc822 format available.

Notification sent to Ryan Niebur <ryanryan52@gmail.com>:
Bug acknowledged by developer. (Sun, 16 Aug 2009 23:15:23 GMT) Full text and rfc822 format available.

Message #54 received at 527993-close@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 527993-close@bugs.debian.org
Subject: Bug#527993: fixed in perl 5.10.0-25
Date: Sun, 16 Aug 2009 22:10:59 +0000
Source: perl
Source-Version: 5.10.0-25

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.10.0-25_all.deb
  to pool/main/p/perl/libcgi-fast-perl_5.10.0-25_all.deb
perl-doc_5.10.0-25_all.deb
  to pool/main/p/perl/perl-doc_5.10.0-25_all.deb
perl-modules_5.10.0-25_all.deb
  to pool/main/p/perl/perl-modules_5.10.0-25_all.deb
perl_5.10.0-25.diff.gz
  to pool/main/p/perl/perl_5.10.0-25.diff.gz
perl_5.10.0-25.dsc
  to pool/main/p/perl/perl_5.10.0-25.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 527993@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niko Tyni <ntyni@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 15 Aug 2009 23:24:30 +0300
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug perl-suid libperl5.10 libperl-dev perl
Architecture: all source 
Version: 5.10.0-25
Distribution: unstable
Urgency: low
Maintainer: Brendan O'Dea <bod@debian.org>
Changed-By: Niko Tyni <ntyni@debian.org>
Closes: 527993 528544 536443 537555
Description:
 libcgi-fast-perl - CGI::Fast Perl module
 libperl5.10 - Shared Perl library
 libperl-dev - Perl library: development files
 perl-base  - minimal Perl system
 perl-debug - Debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-modules - Core Perl modules
 perl-suid  - Runs setuid Perl scripts
Changes:
 perl (5.10.0-25) unstable; urgency=low
 .
   * Fix File::Copy::copy with pipes on GNU/kFreeBSD.
     Thanks to Petr Salinger. (Closes: #537555)
   * Module::Build::Compat makefiles now support 'distclean'.
     Thanks to Ryan Niebur. (Closes: #527993)
   * Honor TMPDIR when open()ing an anonymous temporary file.
     Thanks to Norbert Buchmuller. (Closes: #528544)
   * Move to libdb4.7. (Closes: #536443)
Checksums-Sha1: 
 449e53221880f0ef504430e0ec98a71a088a8982 48830 libcgi-fast-perl_5.10.0-25_all.deb
 4502a065cec322e032849cdf2dc3faaec3422688 177353 perl_5.10.0-25.diff.gz
 54d466cfd74f4dfc725d433c1cbb7543590105ae 8220596 perl-doc_5.10.0-25_all.deb
 fac8733ce66f5728f963e7ca7dc1bb03f9f72678 1340 perl_5.10.0-25.dsc
 f9f843edc707a0bd4f947dc866710374c5cae860 3198620 perl-modules_5.10.0-25_all.deb
Checksums-Sha256: 
 842b0c7164f620ef7f97bfe1816ad668ab8e67fb76a939eddb7869c8eda8b086 1340 perl_5.10.0-25.dsc
 134a1887cb302d201490dd8479f7b9ee4a7e487727d152171ea1f7220e22f677 177353 perl_5.10.0-25.diff.gz
 21b3049eb3d416e58b06a3a44b7600d412409b63f126e64db614ed510a5e53ac 48830 libcgi-fast-perl_5.10.0-25_all.deb
 8210a1ae67172e7485ea7332eefb8027dc22d2a374e13d987cdfb228aef39ce2 3198620 perl-modules_5.10.0-25_all.deb
 9b6bf383bab1f3c670cb2b4a1226595ab37f1d473b9fb26d72a071b7adc81dde 8220596 perl-doc_5.10.0-25_all.deb
Files: 
 5c31230f29fab6bc738c62ca71db9c6e 177353 perl standard perl_5.10.0-25.diff.gz
 92113dcf5231d10880e5cc59adbcb8c8 8220596 doc optional perl-doc_5.10.0-25_all.deb
 1d5de52069e4444db49d1567085e0224 1340 perl standard perl_5.10.0-25.dsc
 bec41a38dccfd0519cdee814d61479ec 48830 perl optional libcgi-fast-perl_5.10.0-25_all.deb
 ddf233febc9a10e81e703a742b8666c2 3198620 perl standard perl-modules_5.10.0-25_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqIVSoACgkQiyizGWoHLTkuAQCgkkDEZmpnjKGH4l0MYRTaUiZl
UaQAnjSjPm02KYOZT/7HG9ANc3Z2ZkWc
=1l2p
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 21 Sep 2009 07:51:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:35:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.